function init()
	-- NAME & GRAPHIC --
	c.name = "StationTurret2"
	c.gfxFile = "station_turret2.png"
	

	-- STATS --
	c.mass = 60
	c.stat.strafe = 1
	c.stat.thrust = 1
	c.stat.maxSpeed = 20
	c.stat.turnRate = 90
	c.stat.armour = 32

	-- TILES & POWER SLOTS --
	c.load_cshape("filled.png")
	
	-- MISC --
	c.setExplodeSound("explode_ship.wav")
	c.desc = "A turret of a rebel cog."
	c.behavior = "turret"
	c.ignoreShipCollisions = 1
end

--sets the editor/minimap display icon
function setIcon()
	icon.frame = 4	--from map_icons.png, which frame to use.
	return 0
end